
Redmine - Feature #6899

Add a relation between the original and copied issue

2010-11-15 22:04 - Steve Overton

Status: Closed Start date: 2010-11-15

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version: 2.2.0   

Resolution: Fixed   

Description

99.9% of the time when an issue is copied it should be related to the original issue in some way. It would save time and having to

"follow" the issue if there was an option on the copy page to associate the item. A drop down could be used that provides the

association types (related to, duplicates, etc). It could default to not relate leaving the functionality the same.

Related issues:

Related to Redmine - Patch #7586: Create "related to" relationship during iss... Closed 2011-02-09

Related to Redmine - Feature #4403: Copy with related task Closed 2009-12-15 2013-04-17

Related to Redmine - Patch #11974: Bulgarian translation (r10492) Closed

Related to Redmine - Feature #1701: New Relation for Copying Branch Issues to... Closed 2008-07-28

Related to Redmine - Feature #18500: Optional linking when copying issues Closed

Has duplicate Redmine - Feature #8552: Copy and link related issues Closed 2011-06-07

Has duplicate Redmine - Feature #10120: Related issues - Auto duplicated sett... Closed 2012-02-01

Associated revisions

Revision 10491 - 2012-09-27 21:09 - Jean-Philippe Lang

Adds a "Copied from/to" relation when copying issue(s) (#6899).

Revision 10492 - 2012-09-27 21:10 - Jean-Philippe Lang

Filling locales (#6899).

Revision 10495 - 2012-09-28 00:27 - Jean-Philippe Lang

Do not link copied issues when copying a project (#6899).

History

#1 - 2010-12-29 17:58 - Benjamin Polidore

I would like this feature as well.  I see some patches out there, but they seem to be prior to 1.0, and the code looks very different now.

#2 - 2010-12-30 01:40 - Mischa The Evil

- Category set to Issues

#3 - 2012-09-27 21:10 - Jean-Philippe Lang

- Subject changed from Copy - Add an option to relate the original and copied issue. to Add a relation between the original and copied issue

- Assignee set to Jean-Philippe Lang

- Target version set to 2.2.0

#4 - 2012-09-30 13:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Feature added. A "Copied from/to" relation is added between the original issue and its copy.

#5 - 2014-02-15 00:03 - Erwin Schliske

Is it possible to deactivate this behaviour?
#6 - 2014-05-20 08:45 - Maik Lindner

How can I disable that "feature"?

#7 - 2014-11-27 11:56 - @ go2null

This should have been implemented as a Administration option as it changes default behaviour.

Now we have a new request to implement the Admin option:

Feature #16218: Enable/Disable creation of copied to/from relations

#8 - 2014-12-03 06:59 - Mischa The Evil

Erwin, Maik and @ go2null,

Deactivation options for this feature are added in r13668 through issue #18500, which is scheduled for Redmine 3.0.0.

#9 - 2014-12-03 07:01 - Mischa The Evil

- Related to Feature #18500: Optional linking when copying issues added

#10 - 2014-12-03 10:51 - Maik Lindner

Mischa The Evil great! thank you :)
